Go Images for Manta
===================

In order to simplify the process of building go software via manta there are
multiple go base images for manta.

These images include tools like golint, go vet, and the go compiler.

To use them simply replace the `image` line in your manta document.

```
{
	"image": "docker-registry.internal.justin.tv/manta/go:latest",
	"mount": "/go/src/code.justin.tv/video/canal",
	"build": [
		"mkdir output",
		"go build -a -tags 'netgo' -ldflags \"-X main.GitCommit=$GIT_COMMIT\" -o output/canal",
        "cp -r courier output"
	],
	"extract": {
		"source": "/go/src/code.justin.tv/video/canal/output",
		"destination": ".manta/"
	}
}
```

See the [go-docker-base
repo](https://git.xarth.tv/tarrant/go-docker-base) for more
details on what is included and what images are built.
