# Production-ready Go services from scratch

This guide aims to teach you how to build a Go application capable of running at scale inside Twitch. We will share useful libraries which will save you time, and design patterns to help make your service easier to test.

These sections are meant to be implemented in-order for use by developers of a brand new application.

- [ ] When you see a checkbox like this, ensure you have completed the task before moving to the next section.

1. [Preparing your development environment](dev.md)
1. [Continuous Integration](build.md)
1. Deployment
  - [Deploying "Hello World" with internal tooling](deploy.md)
  - [Deploying "Hello World" with AWS Beanstalk](aws.md)
1. [Application layout](layout.md)
1. [Creating an HTTP server](http.md)
1. [Adding backends](backend.md)
1. [Babysitting your new service](monitor.md)
