## Using Phabricator for reviews

* Checkout your work branch.
* Run `arc lint`
  * Try to fix things if appropriate. Our JS linter lints over changed files, while ruby lints over diffs only.
* Run `arc diff <merge-base>`, where you replace \<merge-base\> with your... merge base. Generally `master`, or left blank, or a specific hash.
* Your commit messages are used to automatically populate the title and summary. If these are inadequate, feel free to edit and update.
* You should write a test plan.
  * In addition to your branch specific details, try to include things like affected areas that may require regression testing.
* Your reviewer will generally be your buddy (look up their name on Phabricator), but do double check. Save and exit the file.
* You should now be able to see your code review in Phabricator. Ping your reviewer(s) if necessary.
  * Note: Update your JIRA card to "CR" at this point. It will make your project manager happy.
* Move on once your submission is accepted.
