# sGauge

sGauge is a method for collecting sflow traffic, process it, and calculate
data rates on a per community basis.

The sGauge system is made up of two parts. The first is the collector
[canal](https://git.xarth.tv/video/canal). The second is [reservoir](https://git.xarth.tv/video/reservoir) which acts as the aggregator.

![sgauge v2 architecture](/video/assets/sgauge_v2_arch.png?raw=true)

# Canal

Canals are a distributed collector. They listen on anycast addresses for UDP
packets, decode the sflow packet, copy useful data out of the samples and
forward it to the reservoirs. Little to no processing is done in a canal.

In order to provide redundancy each sample will be sent to at least two pools
of reservoirs.

Traffic between Canal and Reservoir is done over grpc using the [sgaugeapi](https://git.xarth.tv/video/canal/tree/master/sgaugeapi).

# Reservoir

The Reservoir acts as an aggreagtor and processor.

There is no guarantee that any individual aggreagtor will receive all packets
about a specific source, router, or datacenter.

Instead there is a guarantee that a reservoir will receive all samples
relevant to a specific community. This allows us to build virtual hoses that
transcend a single data center, or router.

Each packet is received, sorted, aggregated and then a bandwidth rate is
calculated every thirty seconds and sent to the [hosesapi](https://git.xarth.tv/video/hosesapi).
