# Web

The **web** folder contains information relating to the website and the frontend team.

## Useful guides

* **[On call](on_call.md)**: An incomplete list of how to panic about things.
* **[Development and Deploying](development_process.md)**: Going from a local topic branch to production.
* **[Opening a console](console.md)**: How to open a rails console in different environments.
* **[Environments overview](environments.md)**: An overview of web environments (`RAILS_ENV`)
* **[Tests](/web/tests.md)**: Writing and running tests.
* **[Internationalization](/web/i18n/internationalization.md)**: Writing code so it can be translated.
* **[Bunkatsu](bunkatsu.md)**: Writing and running experiments.
* **[Host Mode](hostmode.md)**: Misc. information related to host mode.
* **[Sudo mode](sudo.md)**: How to use sudo mode to gate features behind an additional auth gate

## Components
* **[sitedb](/web/sitedb/README.md)**: The PostgreSQL database Rails uses.
  * [ArbKeys](/web/sitedb/arbkey.md)
  * [OptionSwitches](/web/sitedb/optionswitch.md)

## Internal APIs
* **[audible_magic_responses](audible_magic_responses/)**: Store responses from Audible Magic when you mute a video.
